textures/viking/sail
{
        tessSize 128
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
		map textures/viking/sail.tga
		//alphaFunc LT128
		//depthWrite
		rgbGen identity
	}
        //{
		//map textures/retro/dk_ssflagsfx.tga
		//blendFunc Add
		//rgbgen wave triangle 0.2 0.5 0 0.2
               // rgbGen wave sin 1 1 0.5 .2
	//}
        {
        	map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
	}
}

textures/viking/bird
{       	
	cull none
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nomarks
	{
		map textures/viking/bird.tga
		blendFunc Add
		//rgbgen wave triangle 0.2 0.5 0 0.2
                rgbGen wave sin 1 .8 0 .2
                  
	}

}

textures/viking/round1
{       	
	cull none
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nomarks
	{
		map textures/viking/round1.tga
		blendFunc Add
		//rgbgen wave triangle 0.2 0.5 0 0.2
                rgbGen wave sin 1 .8 0 .2
                  
	}

}

textures/viking/round2
{       	
	cull none
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nomarks
	{
		map textures/viking/round2.tga
		blendFunc Add
		//rgbgen wave triangle 0.2 0.5 0 0.2
                rgbGen wave sin 1 .8 0 .2
                  
	}

}

textures/viking/round3
{       	
	cull none
        surfaceparm nolightmap
        surfaceparm trans
        surfaceparm nomarks
	{
		map textures/viking/round3.tga
		blendFunc Add
		//rgbgen wave triangle 0.2 0.5 0 0.2
                rgbGen wave sin 1 .8 0 .2
                  
	}

}

textures/viking/tile_jump
{

        {
		map textures/viking/sfx_fire.tga
                tcmod scroll 0 1
                tcMod turb 0 .25 0 1.6
                tcmod scale 2 2
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
	        map textures/viking/sfx_fire.tga
		blendFunc add
                tcmod rotate 80
                tcMod stretch sin .8 0.2 0 .1
	        rgbGen identity
	}
        {
	        map textures/viking/tile_jump.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/viking/sstoneandtiles_pat1
{
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/viking/sstoneandtiles_pat1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/viking/sstoneandtiles_pat1glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}

textures/viking/sstoneandtiles_pat2
{
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/viking/sstoneandtiles_pat2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/viking/sstoneandtiles_pat2glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}

textures/viking/tiles_spawn
{
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/viking/tiles_spawn.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/viking/tiles_spawnglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}

textures/viking/sky1
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm sky

	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -

	//cloudparms 512 full
	//lightning

	{
		map textures/viking/sky1.tga
	        tcMod scroll 0.05 .1
		tcMod scale 2 2
	}
	{
		map textures/viking/sky1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.06
		tcMod scale 3 2
	}
}

textures/viking/sandstone_pat4
{
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/viking/sandstone_pat4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/viking/sandstone_pat4glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}

textures/viking/sandstone_pat5
{
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/viking/sandstone_pat5.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/viking/sandstone_pat5glow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.5 0 0.2
//		rgbGen wave sin 0.5 0.5 0 0.2
	}
}

textures/viking/jumppad
{
	
	
	{
		map $lightmap
		rgbGen identity
	}

	{ 
		map textures/viking/jumppad.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}

	{	
		map textures/viking/jumppad_glow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}

	// 	CHANGED BECAUSE OF RAGE PRO PROBLEM
	//	{	
	//		map textures/sfx/launchpad_arrow.tga		
	//		blendfunc gl_src_alpha gl_one	
	//		tcmod scroll 0 2
	//		rgbgen wave square 0 1 0 2
	//		alphagen wave square 0 1 .1 2
	//	}

	// 	TEMPORARY FIX TO GET AROUND ALPHA BLEND IN RAGE PRO
	{ 
		animmap 10 textures/viking/jumppad_fx1.tga textures/viking/jumppad_fx2.tga textures/viking/jumppad_fx3.tga textures/viking/jumppad_fx4.tga textures/viking/jumppad_fx5.tga textures/viking/jumppad_fx6.tga textures/viking/jumppad_fx7.tga textures/viking/jumppad_fx8.tga textures/viking/jumppad_fx9.tga
		blendfunc gl_one gl_one
	//	tcmod scroll 0 2
		rgbgen wave inversesawtooth 0 1 0 2	
	}

}

textures/viking/jpad
{

        {
		map textures/viking/jpad_arrow.tga
                tcmod scroll 0 2
                blendFunc GL_ONE GL_zero
                rgbGen identity
	}
        {
	        map textures/viking/jpad.tga
		blendFunc blend
	        rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{	
		map textures/viking/jumppad_glow.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
}
